Bug 960890 - SY quickstart transform-xslt AND validate-xml - Timed out after 15000 ms waiting on synchronous response from target service
SY quickstart transform-xslt AND validate-xml - Timed out after 15000 ms wait...
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Examples, SwitchYard (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Keith Babo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-08 05:16 EDT by ppecka
Modified: 2014-06-16 19:48 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
If you attempt to use the transform-xslt quick start, running mvn exec:java results in a time-out after 15000 ms. This is caused by a missing dependency in <filename>jboss-eap-6.1/modules/system/layers/soa/org/switchyard/bus/camel/main/modlule.xml</filename>.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
server.log (63.90 KB, text/x-log)
2013-05-08 05:16 EDT, ppecka
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-1472 Major Closed switchyard-common dependency missing on camel exchange bus 2014-06-16 19:48:58 EDT

  None (edit)
Description ppecka 2013-05-08 05:16:46 EDT
Created attachment 745139 [details]
server.log

Description of problem:
in transform-xslt quickstart running mvn exec:java does not produce expected result. For full server log see attachment

<faultstring>Timed out after 15000 ms waiting on synchronous response from target service '{urn:switchyard-quickstart:transform-xslt:0.1.0}OrderService'.

11:11:12,375 WARN  [org.apache.camel.processor.UnitOfWorkProcessor] (http-/127.0.0.1:8080-1) Caught unhandled exception while processing ExchangeId: ID-localhost-localdomain-52361-1368004166803-2-2: java.lang.NoClassDefFoundError: org/switchyard/common/lang/Strings


[./transform-xslt]$ mvn exec:java
[INFO] Scanning for projects...
[INFO]                                                                         
[INFO] ------------------------------------------------------------------------
[INFO] Building Quickstart : XSLT Transformation 0.8.1.Final
[INFO] ------------------------------------------------------------------------
[INFO] 
[INFO] >>> exec-maven-plugin:1.2:java (default-cli) @ switchyard-quickstart-transform-xslt >>>
[INFO] 
[INFO] --- maven-enforcer-plugin:1.0:enforce (enforce-java-version) @ switchyard-quickstart-transform-xslt ---
[INFO] 
[INFO] --- maven-enforcer-plugin:1.0:enforce (enforce-maven-version) @ switchyard-quickstart-transform-xslt ---
[INFO] 
[INFO] <<< exec-maven-plugin:1.2:java (default-cli) @ switchyard-quickstart-transform-xslt <<<
[INFO] 
[INFO] --- exec-maven-plugin:1.2:java (default-cli) @ switchyard-quickstart-transform-xslt ---
SOAP Reply:
<SOAP-ENV:Envelope xmlns:SOAP-ENV="http://schemas.xmlsoap.org/soap/envelope/"><SOAP-ENV:Header/><SOAP-ENV:Body><SOAP-ENV:Fault><faultcode>SOAP-ENV:Server</faultcode><faultstring>Timed out after 15000 ms waiting on synchronous response from target service '{urn:switchyard-quickstart:transform-xslt:0.1.0}OrderService'.</faultstring></SOAP-ENV:Fault></SOAP-ENV:Body></SOAP-ENV:Envelope>
[INFO] ------------------------------------------------------------------------
[INFO] BUILD SUCCESS
[INFO] ------------------------------------------------------------------------
[INFO] Total time: 19.264s
[INFO] Finished at: Wed May 08 11:11:27 CEST 2013
[INFO] Final Memory: 28M/340M
[INFO] ------------------------------------------------------------------------



Steps to Reproduce:
see transform-xslt Readme.md file
  
Actual results:
<SOAP-ENV:Envelope xmlns:SOAP-ENV="http://schemas.xmlsoap.org/soap/envelope/"><SOAP-ENV:Header/><SOAP-ENV:Body><SOAP-ENV:Fault><faultcode>SOAP-ENV:Server</faultcode><faultstring>Timed out after 15000 ms waiting on synchronous response from target service '{urn:switchyard-quickstart:transform-xslt:0.1.0}OrderService'.</faultstring></SOAP-ENV:Fault></SOAP-ENV:Body></SOAP-ENV:Envelope>

Expected results:
<SOAP-ENV:Envelope xmlns:SOAP-ENV="http://schemas.xmlsoap.org/soap/envelope/">
   <SOAP-ENV:Header/>
   <SOAP-ENV:Body>
      <orders:orderAck xmlns:orders="urn:switchyard-quickstart:transform-xslt:1.0"> 
         <orderId>PO-19838-XYZ</orderId>
         <accepted>true</accepted>
         <status>Order Accepted</status>
      </orders:orderAck>
   </SOAP-ENV:Body>
</SOAP-ENV:Envelope>


Additional info:
Comment 1 Len DiMaggio 2013-05-08 10:43:02 EDT
This exception:
   java.lang.NoClassDefFoundError: org/switchyard/common/lang/Strings

Is being caused by a missing dependency on org.switchyard.common in:
   jboss-eap-6.1/modules/system/layers/soa/org/switchyard/bus/camel/main/modlule.xml

After making that change - this ERROR is raised when the QS is run:

[0m[31m10:41:21,735 ERROR [org.switchyard.bus.camel.audit.FaultProcessor] (http-localhost/127.0.0.1:8080-1) Unexpected exception thrown during handling FAULT response. This exception can not be handled, thus it's marked as handled and only logged. If you don't want see messages like this consider handling exceptions in your handler logic: org.switchyard.exception.SwitchYardException: Error during xslt transformation
	at org.switchyard.transform.xslt.XsltTransformer.transform(XsltTransformer.java:76) [switchyard-transform-0.8.1.Final.jar:0.8.1.Final]
	at org.switchyard.transform.xslt.XsltTransformer.transform(XsltTransformer.java:43) [switchyard-transform-0.8.1.Final.jar:0.8.1.Final]
	at org.switchyard.transform.TransformSequence.apply(TransformSequence.java:125) [switchyard-api-0.8.1.Final.jar:0.8.1.Final]
	at org.switchyard.transform.TransformSequence.applySequence(TransformSequence.java:213) [switchyard-api-0.8.1.Final.jar:0.8.1.Final]
	at org.switchyard.handlers.TransformHandler.handleMessage(TransformHandler.java:95) [switchyard-runtime-0.8.1.Final.jar:0.8.1.Final]
	at org.switchyard.bus.camel.processors.HandlerProcessor.process(HandlerProcessor.java:69) [switchyard-bus-camel-0.8.1.Final.jar:0.8.1.Final]
	at org.apache.camel.util.AsyncProcessorConverterHelper$ProcessorToAsyncProcessorBridge.process(AsyncProcessorConverterHelper.java:61) [camel-core-2.10.0.jar:2.10.0]
	at org.apache.camel.util.AsyncProcessorHelper.process(AsyncProcessorHelper.java:73) [camel-core-2.10.0.jar:2.10.0]
	at org.apache.camel.processor.DelegateAsyncProcessor.processNext(DelegateAsyncProcessor.java:99) [camel-core-2.10.0.jar:2.10.0]
	at org.apache.camel.processor.DelegateAsyncProcessor.process(DelegateAsyncProcessor.java:90) [camel-core-2.10.0.jar:2.10.0]
	at org.apache.camel.util.AsyncProcessorHelper.process(AsyncProcessorHelper.java:73) [camel-core-2.10.0.jar:2.10.0]
	at org.apache.camel.processor.DelegateAsyncProcessor.processNext(DelegateAsyncProcessor.java:99) [camel-core-2.10.0.jar:2.10.0]
	at org.apache.camel.processor.DelegateAsyncProcessor.process(DelegateAsyncProcessor.java:90) [camel-core-2.10.0.jar:2.10.0]
	at org.apache.camel.management.InstrumentationProcessor.process(InstrumentationProcessor.java:73) [camel-core-2.10.0.jar:2.10.0]
	at org.apache.camel.util.AsyncProcessorHelper.process(AsyncProcessorHelper.java:73) [camel-core-2.10.0.jar:2.10.0]
	at org.apache.camel.processor.DelegateAsyncProcessor.processNext(DelegateAsyncProcessor.java:99) [camel-core-2.10.0.jar:2.10.0]
	at org.apache.camel.processor.DelegateAsyncProcessor.process(DelegateAsyncProcessor.java:90) [camel-core-2.10.0.jar:2.10.0]
	at org.apache.camel.processor.interceptor.TraceInterceptor.process(TraceInterceptor.java:91) [camel-core-2.10.0.jar:2.10.0]
	at org.apache.camel.util.AsyncProcessorHelper.process(AsyncProcessorHelper.java:73) [camel-core-2.10.0.jar:2.10.0]
	at org.apache.camel.processor.DelegateAsyncProcessor.processNext(DelegateAsyncProcessor.java:99) [camel-core-2.10.0.jar:2.10.0]
	at org.apache.camel.processor.DelegateAsyncProcessor.process(DelegateAsyncProcessor.java:90) [camel-core-2.10.0.jar:2.10.0]
	at org.switchyard.bus.camel.audit.FaultProcessor.process(FaultProcessor.java:62) [switchyard-bus-camel-0.8.1.Final.jar:0.8.1.Final]
	at org.apache.camel.processor.RouteContextProcessor.processNext(RouteContextProcessor.java:45) [camel-core-2.10.0.jar:2.10.0]
	at org.apache.camel.processor.DelegateAsyncProcessor.process(DelegateAsyncProcessor.java:90) [camel-core-2.10.0.jar:2.10.0]
	at org.apache.camel.processor.interceptor.DefaultChannel.process(DefaultChannel.java:303) [camel-core-2.10.0.jar:2.10.0]
	at org.apache.camel.util.AsyncProcessorHelper.process(AsyncProcessorHelper.java:73) [camel-core-2.10.0.jar:2.10.0]
	at org.apache.camel.processor.Pipeline.process(Pipeline.java:117) [camel-core-2.10.0.jar:2.10.0]
	at org.apache.camel.processor.Pipeline.process(Pipeline.java:80) [camel-core-2.10.0.jar:2.10.0]
	at org.apache.camel.util.AsyncProcessorHelper.process(AsyncProcessorHelper.java:73) [camel-core-2.10.0.jar:2.10.0]
	at org.apache.camel.processor.DelegateAsyncProcessor.processNext(DelegateAsyncProcessor.java:99) [camel-core-2.10.0.jar:2.10.0]
	at org.apache.camel.processor.DelegateAsyncProcessor.process(DelegateAsyncProcessor.java:90) [camel-core-2.10.0.jar:2.10.0]
	at org.apache.camel.processor.FilterProcessor.process(FilterProcessor.java:58) [camel-core-2.10.0.jar:2.10.0]
	at org.apache.camel.util.AsyncProcessorHelper.process(AsyncProcessorHelper.java:73) [camel-core-2.10.0.jar:2.10.0]
	at org.apache.camel.processor.DelegateAsyncProcessor.processNext(DelegateAsyncProcessor.java:99) [camel-core-2.10.0.jar:2.10.0]
	at org.apache.camel.processor.DelegateAsyncProcessor.process(DelegateAsyncProcessor.java:90) [camel-core-2.10.0.jar:2.10.0]
	at org.apache.camel.management.InstrumentationProcessor.process(InstrumentationProcessor.java:73) [camel-core-2.10.0.jar:2.10.0]
	at org.apache.camel.util.AsyncProcessorHelper.process(AsyncProcessorHelper.java:73) [camel-core-2.10.0.jar:2.10.0]
	at org.apache.camel.processor.DelegateAsyncProcessor.processNext(DelegateAsyncProcessor.java:99) [camel-core-2.10.0.jar:2.10.0]
	at org.apache.camel.processor.DelegateAsyncProcessor.process(DelegateAsyncProcessor.java:90) [camel-core-2.10.0.jar:2.10.0]
	at org.apache.camel.processor.interceptor.TraceInterceptor.process(TraceInterceptor.java:91) [camel-core-2.10.0.jar:2.10.0]
	at org.apache.camel.util.AsyncProcessorHelper.process(AsyncProcessorHelper.java:73) [camel-core-2.10.0.jar:2.10.0]
	at org.apache.camel.processor.DelegateAsyncProcessor.processNext(DelegateAsyncProcessor.java:99) [camel-core-2.10.0.jar:2.10.0]
	at org.apache.camel.processor.DelegateAsyncProcessor.process(DelegateAsyncProcessor.java:90) [camel-core-2.10.0.jar:2.10.0]
	at org.switchyard.bus.camel.audit.FaultProcessor.process(FaultProcessor.java:62) [switchyard-bus-camel-0.8.1.Final.jar:0.8.1.Final]
	at org.apache.camel.processor.RouteContextProcessor.processNext(RouteContextProcessor.java:45) [camel-core-2.10.0.jar:2.10.0]
	at org.apache.camel.processor.DelegateAsyncProcessor.process(DelegateAsyncProcessor.java:90) [camel-core-2.10.0.jar:2.10.0]
	at org.apache.camel.processor.interceptor.DefaultChannel.process(DefaultChannel.java:303) [camel-core-2.10.0.jar:2.10.0]
	at org.apache.camel.util.AsyncProcessorHelper.process(AsyncProcessorHelper.java:73) [camel-core-2.10.0.jar:2.10.0]
	at org.apache.camel.processor.Pipeline.process(Pipeline.java:117) [camel-core-2.10.0.jar:2.10.0]
	at org.apache.camel.processor.Pipeline.process(Pipeline.java:80) [camel-core-2.10.0.jar:2.10.0]
	at org.apache.camel.processor.RouteContextProcessor.processNext(RouteContextProcessor.java:45) [camel-core-2.10.0.jar:2.10.0]
	at org.apache.camel.processor.DelegateAsyncProcessor.process(DelegateAsyncProcessor.java:90) [camel-core-2.10.0.jar:2.10.0]
	at org.apache.camel.processor.UnitOfWorkProcessor.process(UnitOfWorkProcessor.java:122) [camel-core-2.10.0.jar:2.10.0]
	at org.apache.camel.processor.RouteInflightRepositoryProcessor.processNext(RouteInflightRepositoryProcessor.java:48) [camel-core-2.10.0.jar:2.10.0]
	at org.apache.camel.processor.DelegateAsyncProcessor.process(DelegateAsyncProcessor.java:90) [camel-core-2.10.0.jar:2.10.0]
	at org.apache.camel.util.AsyncProcessorHelper.process(AsyncProcessorHelper.java:73) [camel-core-2.10.0.jar:2.10.0]
	at org.apache.camel.processor.DelegateAsyncProcessor.processNext(DelegateAsyncProcessor.java:99) [camel-core-2.10.0.jar:2.10.0]
	at org.apache.camel.processor.DelegateAsyncProcessor.process(DelegateAsyncProcessor.java:90) [camel-core-2.10.0.jar:2.10.0]
	at org.apache.camel.management.InstrumentationProcessor.process(InstrumentationProcessor.java:73) [camel-core-2.10.0.jar:2.10.0]
	at org.apache.camel.util.AsyncProcessorHelper.process(AsyncProcessorHelper.java:73) [camel-core-2.10.0.jar:2.10.0]
	at org.apache.camel.component.direct.DirectProducer.process(DirectProducer.java:61) [camel-core-2.10.0.jar:2.10.0]
	at org.apache.camel.processor.UnitOfWorkProcessor.processAsync(UnitOfWorkProcessor.java:150) [camel-core-2.10.0.jar:2.10.0]
	at org.apache.camel.processor.UnitOfWorkProcessor.process(UnitOfWorkProcessor.java:117) [camel-core-2.10.0.jar:2.10.0]
	at org.apache.camel.util.AsyncProcessorHelper.process(AsyncProcessorHelper.java:99) [camel-core-2.10.0.jar:2.10.0]
	at org.apache.camel.processor.DelegateAsyncProcessor.process(DelegateAsyncProcessor.java:86) [camel-core-2.10.0.jar:2.10.0]
	at org.apache.camel.processor.UnitOfWorkProducer.process(UnitOfWorkProducer.java:63) [camel-core-2.10.0.jar:2.10.0]
	at org.apache.camel.impl.ProducerCache$2.doInProducer(ProducerCache.java:360) [camel-core-2.10.0.jar:2.10.0]
	at org.apache.camel.impl.ProducerCache$2.doInProducer(ProducerCache.java:331) [camel-core-2.10.0.jar:2.10.0]
	at org.apache.camel.impl.ProducerCache.doInProducer(ProducerCache.java:227) [camel-core-2.10.0.jar:2.10.0]
	at org.apache.camel.impl.ProducerCache.sendExchange(ProducerCache.java:331) [camel-core-2.10.0.jar:2.10.0]
	at org.apache.camel.impl.ProducerCache.send(ProducerCache.java:169) [camel-core-2.10.0.jar:2.10.0]
	at org.apache.camel.impl.DefaultProducerTemplate.send(DefaultProducerTemplate.java:111) [camel-core-2.10.0.jar:2.10.0]
	at org.apache.camel.impl.DefaultProducerTemplate.send(DefaultProducerTemplate.java:97) [camel-core-2.10.0.jar:2.10.0]
	at org.switchyard.bus.camel.ExchangeDispatcher.dispatch(ExchangeDispatcher.java:64) [switchyard-bus-camel-0.8.1.Final.jar:0.8.1.Final]
	at org.switchyard.internal.ExchangeImpl.sendInternal(ExchangeImpl.java:213) [switchyard-runtime-0.8.1.Final.jar:0.8.1.Final]
	at org.switchyard.internal.ExchangeImpl.send(ExchangeImpl.java:123) [switchyard-runtime-0.8.1.Final.jar:0.8.1.Final]
	at org.switchyard.component.soap.InboundHandler.invoke(InboundHandler.java:213) [switchyard-component-soap-0.8.1.Final.jar:0.8.1.Final]
	at org.switchyard.component.soap.endpoint.BaseWebService.invoke(BaseWebService.java:115) [switchyard-component-soap-0.8.1.Final.jar:0.8.1.Final]
	at org.switchyard.component.soap.endpoint.BaseWebService.invoke(BaseWebService.java:45) [switchyard-component-soap-0.8.1.Final.jar:0.8.1.Final]
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) [rt.jar:1.7.0_09-icedtea]
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57) [rt.jar:1.7.0_09-icedtea]
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.7.0_09-icedtea]
	at java.lang.reflect.Method.invoke(Method.java:601) [rt.jar:1.7.0_09-icedtea]
	at org.jboss.ws.common.invocation.AbstractInvocationHandlerJSE.invoke(AbstractInvocationHandlerJSE.java:108)
	at org.jboss.wsf.stack.cxf.JBossWSInvoker.performInvocation(JBossWSInvoker.java:149) [jbossws-cxf-server-4.1.3.Final-redhat-1.jar:4.1.3.Final-redhat-1]
	at org.apache.cxf.service.invoker.AbstractInvoker.invoke(AbstractInvoker.java:96)
	at org.apache.cxf.jaxws.AbstractJAXWSMethodInvoker.invoke(AbstractJAXWSMethodInvoker.java:178)
	at org.apache.cxf.jaxws.JAXWSMethodInvoker.invoke(JAXWSMethodInvoker.java:66)
	at org.jboss.wsf.stack.cxf.JBossWSInvoker.invoke(JBossWSInvoker.java:129) [jbossws-cxf-server-4.1.3.Final-redhat-1.jar:4.1.3.Final-redhat-1]
	at org.apache.cxf.interceptor.ServiceInvokerInterceptor$1.run(ServiceInvokerInterceptor.java:58)
	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:471) [rt.jar:1.7.0_09-icedtea]
	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:334) [rt.jar:1.7.0_09-icedtea]
	at java.util.concurrent.FutureTask.run(FutureTask.java:166) [rt.jar:1.7.0_09-icedtea]
	at org.apache.cxf.workqueue.SynchronousExecutor.execute(SynchronousExecutor.java:37)
	at org.apache.cxf.interceptor.ServiceInvokerInterceptor.handleMessage(ServiceInvokerInterceptor.java:107)
	at org.apache.cxf.phase.PhaseInterceptorChain.doIntercept(PhaseInterceptorChain.java:262)
	at org.apache.cxf.transport.ChainInitiationObserver.onMessage(ChainInitiationObserver.java:121)
	at org.apache.cxf.transport.http.AbstractHTTPDestination.invoke(AbstractHTTPDestination.java:237)
	at org.jboss.wsf.stack.cxf.RequestHandlerImpl.handleHttpRequest(RequestHandlerImpl.java:95) [jbossws-cxf-server-4.1.3.Final-redhat-1.jar:4.1.3.Final-redhat-1]
	at org.jboss.wsf.stack.cxf.transport.ServletHelper.callRequestHandler(ServletHelper.java:156) [jbossws-cxf-server-4.1.3.Final-redhat-1.jar:4.1.3.Final-redhat-1]
	at org.jboss.wsf.stack.cxf.CXFServletExt.invoke(CXFServletExt.java:87) [jbossws-cxf-server-4.1.3.Final-redhat-1.jar:4.1.3.Final-redhat-1]
	at org.apache.cxf.transport.servlet.AbstractHTTPServlet.handleRequest(AbstractHTTPServlet.java:225)
	at org.apache.cxf.transport.servlet.AbstractHTTPServlet.doPost(AbstractHTTPServlet.java:145)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:754) [jboss-servlet-api_3.0_spec-1.0.2.Final-redhat-1.jar:1.0.2.Final-redhat-1]
	at org.jboss.wsf.stack.cxf.CXFServletExt.service(CXFServletExt.java:135) [jbossws-cxf-server-4.1.3.Final-redhat-1.jar:4.1.3.Final-redhat-1]
	at org.jboss.wsf.spi.deployment.WSFServlet.service(WSFServlet.java:140) [jbossws-spi-2.1.1.Final-redhat-1.jar:2.1.1.Final-redhat-1]
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:847) [jboss-servlet-api_3.0_spec-1.0.2.Final-redhat-1.jar:1.0.2.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:295)
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214)
	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:230)
	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:149)
	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:145)
	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:97)
	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:102)
	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:336)
	at org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:856)
	at org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.process(Http11Protocol.java:653)
	at org.apache.tomcat.util.net.JIoEndpoint$Worker.run(JIoEndpoint.java:920)
	at java.lang.Thread.run(Thread.java:722) [rt.jar:1.7.0_09-icedtea]
Caused by: javax.xml.transform.TransformerException: org.w3c.dom.DOMException: HIERARCHY_REQUEST_ERR: An attempt was made to insert a node where it is not permitted. 
	at org.apache.xalan.transformer.TransformerImpl.executeChildTemplates(TransformerImpl.java:2405)
	at org.apache.xalan.transformer.TransformerImpl.applyTemplateToNode(TransformerImpl.java:2270)
	at org.apache.xalan.transformer.TransformerImpl.transformNode(TransformerImpl.java:1356)
	at org.apache.xalan.transformer.TransformerImpl.transform(TransformerImpl.java:709)
	at org.apache.xalan.transformer.TransformerImpl.transform(TransformerImpl.java:1273)
	at org.apache.xalan.transformer.TransformerImpl.transform(TransformerImpl.java:1251)
	at org.switchyard.transform.xslt.XsltTransformer.transform(XsltTransformer.java:72) [switchyard-transform-0.8.1.Final.jar:0.8.1.Final]
	... 118 more
Caused by: org.w3c.dom.DOMException: HIERARCHY_REQUEST_ERR: An attempt was made to insert a node where it is not permitted. 
	at org.apache.xerces.dom.ParentNode.internalInsertBefore(Unknown Source) [xercesImpl-2.9.1-redhat-3.jar:]
	at org.apache.xerces.dom.ParentNode.insertBefore(Unknown Source) [xercesImpl-2.9.1-redhat-3.jar:]
	at org.apache.xerces.dom.CoreDocumentImpl.insertBefore(Unknown Source) [xercesImpl-2.9.1-redhat-3.jar:]
	at org.apache.xerces.dom.NodeImpl.appendChild(Unknown Source) [xercesImpl-2.9.1-redhat-3.jar:]
	at org.apache.xml.utils.DOMBuilder.append(DOMBuilder.java:185)
	at org.apache.xml.utils.DOMBuilder.characters(DOMBuilder.java:488)
	at org.apache.xml.serializer.ToXMLSAXHandler.characters(ToXMLSAXHandler.java:542)
	at org.apache.xml.dtm.ref.dom2dtm.DOM2DTM.dispatchNodeData(DOM2DTM.java:1690)
	at org.apache.xml.dtm.ref.dom2dtm.DOM2DTM.dispatchCharactersEvents(DOM2DTM.java:1622)
	at org.apache.xalan.templates.ElemApplyTemplates.transformSelectedNodes(ElemApplyTemplates.java:318)
	at org.apache.xalan.templates.ElemApplyTemplates.execute(ElemApplyTemplates.java:178)
	at org.apache.xalan.templates.ElemApplyTemplates.transformSelectedNodes(ElemApplyTemplates.java:395)
	at org.apache.xalan.templates.ElemApplyTemplates.execute(ElemApplyTemplates.java:178)
	at org.apache.xalan.transformer.TransformerImpl.executeChildTemplates(TransformerImpl.java:2400)
	... 124 more
Comment 2 Keith Babo 2013-05-08 14:04:30 EDT
I have to admit that this one has me stumped.  It works on AS 7.1.1 and EAP 6.1 Alpha, but does not work on EAP 6.1 Beta.  The jars included for the org/apache/xalan module have changed between EAP 6.1 Alpha and Beta.

EAP 6.1 Alpha:
xalan-2.7.1.jbossorg-1.jar
serializer-2.7.1.jbossorg-1.jar

EAP 6.1 Beta:
serializer-2.7.1-redhat-3.jar
xalan-2.7.1-redhat-3.jar

If I take the jars from EAP 6.1 Alpha and use them in the org/apache/xalan module for EAP 6.1 Beta (modifying the module.xml to point to the different name), the quickstart works.  

We're going to need some info from the EAP time on what exactly changed in these jars.  The version in both appears to be Xalan 2.7.1, but based on the behavior and the content of the jars themselves (e.g. class size), I can see there are differences.  Whether these differences are significant or not, I can't say.
Comment 3 Len DiMaggio 2013-05-08 22:52:29 EDT
See:  SWITCHYARD-1472
Comment 4 JBoss JIRA Server 2013-05-09 04:30:59 EDT
Łukasz Dywicki <ldywicki@redhat.com> updated the status of jira SWITCHYARD-1472 to Coding In Progress
Comment 5 Nick Cross 2013-05-09 08:53:18 EDT
Is BZ950402 related?
Comment 6 Keith Babo 2013-05-09 08:55:37 EDT
same underlying issue
Comment 7 JBoss JIRA Server 2013-05-09 12:57:23 EDT
Keith Babo <kbabo@redhat.com> made a comment on jira SWITCHYARD-1472

pushed to master
Comment 8 JBoss JIRA Server 2013-05-09 13:08:00 EDT
Keith Babo <kbabo@redhat.com> made a comment on jira SWITCHYARD-1472

pushed to 0.8
Comment 9 Nick Cross 2013-05-09 15:42:35 EDT
*** Bug 950402 has been marked as a duplicate of this bug. ***
Comment 10 Nick Cross 2013-05-10 09:09:27 EDT
Module override applied in BZ961476
Comment 11 Keith Babo 2013-05-14 06:36:46 EDT
David - I don't think doc text is required for this issue as it's been fixed in DR4.
Comment 12 ppecka 2013-05-21 04:00:49 EDT
this was not pushed into ON_QA, Both quickstarts works with DR4, DR5 pushing to VERIFIED
Comment 16 JBoss JIRA Server 2014-06-16 19:48:59 EDT
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1472 to Closed

Note You need to log in before you can comment on or make changes to this bug.